> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Low Stock Items

> Get all items below their low stock threshold.



## OpenAPI

````yaml /api-reference/openapi.json get /api/dashboard/inventory/low-stock
openapi: 3.1.0
info:
  title: Agentic Commerce API
  description: |2-

        Agentic Commerce API - E-commerce Backend

        ## APIs

        ### Dashboard API (`/api/dashboard`)
        Authenticated endpoints for merchant management:
        - Products, Variants, Options
        - Inventory management
        - Orders and fulfillment
        - Customers
        - Collections

        ### Storefront API (`/api/storefront`)
        Public endpoints for client websites:
        - Product catalog
        - Collections
        - Cart management
        - Checkout

        ### Sync API (`/api/sync`)
        Integration endpoints for zunkiree-search:
        - Product sync
        - Availability checks
        - Order creation from AI widget
        
  version: 1.0.0
servers: []
security: []
paths:
  /api/dashboard/inventory/low-stock:
    get:
      tags:
        - Dashboard
        - Inventory
      summary: Get Low Stock Items
      description: Get all items below their low stock threshold.
      operationId: get_low_stock_items_api_dashboard_inventory_low_stock_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: X-Stella-Merchant-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Stella-Merchant-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InventoryItemResponse'
                title: >-
                  Response Get Low Stock Items Api Dashboard Inventory Low Stock
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InventoryItemResponse:
      properties:
        variant_id:
          type: string
          format: uuid
          title: Variant Id
        variant_sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Variant Sku
        product_id:
          type: string
          format: uuid
          title: Product Id
        product_name:
          type: string
          title: Product Name
        product_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Image
        variant_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Variant Image
        option1:
          anyOf:
            - type: string
            - type: 'null'
          title: Option1
        option2:
          anyOf:
            - type: string
            - type: 'null'
          title: Option2
        option3:
          anyOf:
            - type: string
            - type: 'null'
          title: Option3
        inventory_quantity:
          type: integer
          title: Inventory Quantity
        low_stock_threshold:
          type: integer
          title: Low Stock Threshold
        status:
          type: string
          title: Status
      type: object
      required:
        - variant_id
        - variant_sku
        - product_id
        - product_name
        - product_image
        - variant_image
        - option1
        - option2
        - option3
        - inventory_quantity
        - low_stock_threshold
        - status
      title: InventoryItemResponse
      description: Schema for inventory item in list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````